Returns an array of names of traits used by this class

- « ReflectionClass::getTraitAliases

- ReflectionClass::getTraits »

- PHP Manual
- ReflectionClass
- Returns an array of names of traits used by this class

# ReflectionClass::getTraitNames

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionClass::getTraitNames — Returns an array of names of traits used by this class

### Description

public ReflectionClass::getTraitNames(): array

Get the names of the traits used by this class.

### Parameters

This function has no parameters.

### Return Values

Returns an array with trait names in values.